<?php
/**
 * NotificationsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Communication manager
 *
 * Ensi Communication manager
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CommunicationManagerClient;

use \Ensi\CommunicationManagerClient\Configuration;
use \Ensi\CommunicationManagerClient\ApiException;
use \Ensi\CommunicationManagerClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * NotificationsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CommunicationManagerClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class NotificationsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createNotificationSetting
     *
     * Creating an object of NotificationSetting.
     *
     */
    public function testCreateNotificationSetting()
    {
    }

    /**
     * Test case for deleteNotificationSetting
     *
     * Deleting an object of NotificationSetting.
     *
     */
    public function testDeleteNotificationSetting()
    {
    }

    /**
     * Test case for getNotificationSetting
     *
     * Get the object of NotificationSetting.
     *
     */
    public function testGetNotificationSetting()
    {
    }

    /**
     * Test case for getVariables
     *
     * Getting a directory of available variables by event type.
     *
     */
    public function testGetVariables()
    {
    }

    /**
     * Test case for massPatchNotifications
     *
     * Mass patching an object of Notification.
     *
     */
    public function testMassPatchNotifications()
    {
    }

    /**
     * Test case for patchNotificationSetting
     *
     * Patching an object of NotificationSetting.
     *
     */
    public function testPatchNotificationSetting()
    {
    }

    /**
     * Test case for searchNotificationSettings
     *
     * Search for objects of NotificationSetting.
     *
     */
    public function testSearchNotificationSettings()
    {
    }

    /**
     * Test case for searchNotifications
     *
     * Search for objects of Notification.
     *
     */
    public function testSearchNotifications()
    {
    }
}
